#pragma once

/* $Header: https://svn.mpia.de/gulli/TwiceAsNice/branch/unstable/ln/ltcs/src/lbto/LbtoIIFInterfaceFactory.ice 14502 2017-07-17 08:46:15Z mathar $
*/

#include <LbtoIIFInterface.ice>

module lbto
{
    interface Factory
    {
        IIFServer* create(string proxyName, string focalStation, string instrumentID);
        void destroy(IIFServer* proxy);
        void destroyProxy(string proxyName);
    	string getProxy(string proxyName);
    	string getProxyInstrument(string proxyName);
    	string getProxyFocalStation(string proxyName);
    	string listConnections();
    	void debugMode(bool b);
    };
};
