// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/test/obs_ctrl/obsControl.ice 301 2017-11-21 10:33:13Z depa $

#ifndef _SHARKNIR_ICE_
#define _SHARKNIR_ICE_

#include <sharknir.ice>

module sharknir {
  module obsControl {
    interface Sequencer {
      idempotent int setupMotion(
        sharknir::dictNonSciAssembly dictNonSci, 
        string strSetup
	      );
      idempotent int setupMotionDict(
        sharknir::dictSetup dSetup
        );
      idempotent int setupTracking(
        string strSetup
        );
      idempotent int setupCalibration(
        sharknir::dictNonSciAssembly dictNonSci, 
        string strSetup
        );
    };
    interface motionControl {
      idempotent int setupMotion(
        sharknir::dictNonSciAssembly dictNonSci, 
        string strSetup
        );
    };
    interface trackControl {
      idempotent int setupTracking(
        string strSetup
        );
    };
    interface calibrationControl {
      idempotent int setupCalibration(
        sharknir::dictNonSciAssembly dictNonSci, 
        string strSetup
        );
    };
  };
};

#endif